package service;

import JDBC.VehicleJDBC;
import pojo.Vehicle;

import java.util.List;

public class VehicleService {
    VehicleJDBC db = new VehicleJDBC();
    public List<Vehicle> getAllVehicles() throws Exception {
        return db.selectAllVehicles();
    }

    public List<Vehicle> getVehiclesByCase(String car_license, String brand, String model, String building) throws Exception {
        return db.selectVehiclesByCase(car_license, brand, model, building);
    }
    public Vehicle get_car_ById(int id) throws Exception {
        return db.get_car_ById(id);
    }
}


